// Attract-Mode Front-End - "Diamondplate" layout by Friz
// 
// originally based on the "Machines" sample layout which
// was adapted from the "Machines" 3D Arcade skin by PucPuc
// http://www.mameworld.info/3darcade/skins/machines_pucpuc.zip
//

fe.layout.width = 1024;
fe.layout.height = 768;
fe.layout.font = "captain"

// Set out the various artwork, image and text elements

fe.add_image( "machinesselbg.png", 0, 0, 1024, 768 );
fe.add_artwork( "marquee", 192, 30, 640, 195 );
fe.add_artwork( "snap", 577, 263, 412, 412 );
local lb = fe.add_listbox( 43, 258, 490, 417 );
lb.charsize = 30;
lb.rows = 9;
lb.set_sel_rgb( 241, 228, 62 );
lb.set_selbg_rgb( 45, 64, 154 );
fe.add_artwork( "snap", 577, 263, 412, 412 );
fe.add_text( "[Manufacturer]", 70, 711, 360, 28 );
fe.add_text( "[Year]", 780, 711, 160, 28 );

// Game select sound (pilfered from the SDArcade theme)

function select_sound( ttype, var, ttime ) {
 switch ( ttype ) {

  case Transition.ToNewSelection:
	      local sound = fe.add_sound("game.mp3");
	      sound.playing=true;
  break;
  }
 return false;
}
fe.add_transition_callback( "select_sound" );


